using HarmonyLib;
using GadgetCore.API;
using UnityEngine;
using System.Collections;

namespace VendingMachine.Patches
{
  [HarmonyPatch(typeof(GameScript))]
  [HarmonyPatch("GatherLoot")]
  [HarmonyGadget("VendingMachine")]
  public static class Patch_GameScript_GatherLoot
  {
    [HarmonyPrefix]
    public static bool Prefix(GameScript __instance)
    {
      return true;
      int num2 = Random.Range(0, Core.infoList.Count);
      __instance.AddItemGather(Core.infoList[num2].GetID());
      return false;
    }
  }
}
